Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all campaigns by page
        • Get all campaigns by page and page size
        • Get campaign details
        • Get all senders
        • Get sender details
        • Create a draft campaign
        • Manage a transactional campaign
        • Dynamic templates for transactional campaign
        • Clone an existing campaign
        • Delete a campaign
        • Update a draft campaign
        • Test a campaign
        • Send a campaign
        • Schedule a campaign
        • Unschedule a campaign
        • Get campaign statistics
        • Get campaign statistics with paging and filter
        • Get campaign summary
        • Get campaign activity by location
        • Get campaign link activity
        • Get A/B campaign summary
  1. Campaigns
  1. Sitecore Send API documentation
  2. API reference
  3. Campaigns
  4. Manage a transactional campaign

Manage a transactional campaign

Describes the request and response details of this Sitecore Send API endpoint to create a transactional campaign.

POST /campaigns/transactional/send.{Format}

Sends a transactional campaign to your recipients. You can add content by either creating a campaign inside Sitecore Send and designing the template in the editor (provide the template ID), by providing the HTML body in the API, or by providing a web location.

If a TemplateId is not provided and the TemplateName exists within the platform, the existing campaign will be sent. If the TemplateId is not provided and the TemplateName does not exist within the platform, a new transactional campaign will be created. The payload size provided per API call must be less than 20MB.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml
apikeyquerystringtrueThe API key of your account.
FrombodyobjectfalseAn array containing the parameters of the sender
- the email address of a verified sender.sendersName - the name of the sender name displayed in the recipient's inbox.
ReplyTobodyobjectfalseAn array containing the parameters of the sender the user can reply to
- the email address of one of a verified sender.sendersName - the name of the Reply to email displayed to the user when the user clicks Reply.
SubjectbodystringfalseThe subject line of the email message displayed to the recipient. It may contain parameters for personalization. When no value is provided, use the subject of the template.
CcbodyarrayfalseAn array of email addresses to include as carbon copy (Cc) recipients of the message.
BccbodyarrayfalseAn array of email addresses to include as blind carbon copy (Bcc) recipients of the message.
TemplateIdbodyGUIDfalseStatistics will be registered to the campaign with this ID. If you have created a template id, you can find it in the user interface.If the array content is empty or doesn’t exist, then the content for the email is taken from the template id provided.
TemplateNamebodystringfalseThe name of the transactional campaign that this message will be sent for. Transactional campaign names are unique.If the array content is empty or doesn’t exist, then the content for the email is taken from the template name provided.
ContentbodyarrayfalseContent types
- the type of content to send.Value - the format specified by content.type. It may contain parameters to be substituted for each recipient, according to the parameters given in the personalization property.WebLocation - the URL that holds the content to use for this message. To reuse it for the next requests and avoid re-downloading, cache it to S3 for 24 hours.Only one content should exist in the payload for the call to be valid. If there is a content and template ID or name, then the content overrules and the template ID is kept to show the location of the statistics. Current limit is 1MB.
PersonalizationsbodyarraytrueA list of recipients of the transactional message. It may contain personalization parameters.To - an array containing the parameters of the receiverEmail - the recipient email address (text/plain).Name - the recipient name (text/plain).Cc - an array of email addresses to include as carbon copy (Cc) recipients of the message.Bcc - an array of email addresses to include as blind carbon copy (Bcc) recipients of the message.Substitutions - the values to substitute in the message content/subject for the current recipient, in the form of key/value pairs. There are some restricted keywords implemented, see note below.
MailSettingsbodyarraytrueBypassUnsubscribeManagementWhen set to true or omitted, the message will be delivered to the recipient, even if they have unsubscribed from the transactional email list.Default: trueIncludeUnsubscribeLinkLet's you turn the unsubscribe link on or off or provide a website link to use instead; this will temporarily override the saved settings without changing them.Default: falseScheduledForDatetimeWhen omitted, the transactional campaign will be dispatched immediately. If the value exists in the format “YYYY-MM-DD“ or “YYYY-MM-DDThh:mm
“ then the campaign will be scheduled for that time. Scheduled time cannot be in the past.Default: nullScheduledForTimezoneWhen omitted, the system will take the time zone from the user’s settings if present, otherwise will default to “UTC“ . If given in the request, it will be validated against the list of valid IANA or Windows time zones (both valid).Default: null
attachmentsbodyobjectfalseAn array containing the parameters of the attachments: -Content - A base64 string that represents the file bytes of the attachment (Required).Type - The MIME type of the attached content (e.g. application/pdf, image/PNG) (Required).FileName - The file name of the attachment that the recipient will see (Required).Disposition - Allowed values are: “inline”, “attachment” (Required).ContentId - A user-defined string that maps an embedded image to an attachment. (Required only for inline disposition).
Note

Restricted keywords for substitutions: datetime, ab, appDomain, appDomainProtocol, trackingDomain, doubleOptInDomain, utilitiesDomain, updatePreferences, emailSentTo, forwardToFriendLink, updateProfileLink, verificationLink, unsubscribeLink.

POST https://{hostname}/v3/campaigns/transactional/send.{Format}?apikey=

 Request body: {
    "userId": "075de68e-fcdf-408e-89e4-72f7932e9cdb",
    "replyto": {
        "email": "[email protected]",
        "name": "lauren"
    },
    "templateid": "6e3d31b7-418a-466f-9b22-c33a8de3ec93",
    "MailSettings": { 
        "BypassUnsubscribeManagement": { 
            "Enable": true 
        },
        "UnsubscribeLinkManagement": { 
            "IncludeUnsubscribeLink": false 
        },
        "ScheduledForDatetime": "2025-10-24T18:38:00",
        "ScheduledForTimezone": "UTC"
    },
    "personalizations": \[
        {
            "to": \[
                {
                    "Name": "test\_name\_exampledoe",
                    "Email": "[email protected]"
                }
            \],
            "Substitutions": {
                "order": {
                    "products": \[
                        {
                            "name": "product 1",
                            "link": "https://google.com",
                            "price": {
                                "grossValue": 12,
                                "netValue": 10
                            },
                            "details": \[
                                "tech",
                                "deals"
                            \],
                            "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                        },
                        {
                            "name": "product 2",
                            "link": "https://moosend.com",
                            "price": {
                                "grossValue": 6,
                                "netValue": 5
                            },
                            "details": \[
                                "tech",
                                "deals"
                            \],
                            "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                        }
                    \]
                }
            },
            "CustomArguments": 
            { 
                "TestKey": "TestValue"
            } 
        },
        {
            "to": \[
                {
                    "Name": "test\_name\_peta",
                    "Email": "[email protected]"
                }
            \],
            "Substitutions": {
                "order": {
                    "products": \[
                        {
                            "name": "product 1",
                            "link": "https://google.com",
                            "price": {
                                "grossValue": 12,
                                "netValue": 10
                            },
                            "details": \[
                                "tech",
                                "deals"
                            \],
                            "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                        },
                        {
                            "name": "product 2",
                            "link": "https://moosend.com",
                            "price": {
                                "grossValue": 6,
                                "netValue": 5
                            },
                            "details": \[
                                "tech",
                                "deals"
                            \],
                            "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                        }
                    \]
                }
            },
            "CustomArguments": 
            { 
                "TestKey": "TestValue2"
            } 
        }
    \]
}
curl --location \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
        "userId": "075de68e-fcdf-408e-89e4-72f7932e9cdb",
        "replyto": {
            "email": "[email protected]",
            "name": "lauren"
        },
        "templateid": "6e3d31b7-418a-466f-9b22-c33a8de3ec93",
        "MailSettings": {
            "BypassUnsubscribeManagement": {
                "Enable": true
            },
            "UnsubscribeLinkManagement": {
                "IncludeUnsubscribeLink": false
            },
            "ScheduledForDatetime": "2025-10-24T18:38:00",
            "ScheduledForTimezone": "UTC"
        },
        "personalizations": \[
            {
                "to": \[
                    {
                        "Name": "test\_name\_exampledoe",
                        "Email": "[email protected]"
                    }
                \],
                "Substitutions": {
                    "order": {
                        "products": \[
                            {
                                "name": "product 1",
                                "link": "https://google.com",
                                "price": {
                                    "grossValue": 12,
                                    "netValue": 10
                                },
                                "details": \["tech", "deals"\],
                                "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                            },
                            {
                                "name": "product 2",
                                "link": "https://moosend.com",
                                "price": {
                                    "grossValue": 6,
                                    "netValue": 5
                                },
                                "details": \["tech", "deals"\],
                                "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                            }
                        \]
                    }
                },
                "CustomArguments": {
                    "TestKey": "TestValue"
                }
            },
            {
                "to": \[
                    {
                        "Name": "test\_name\_peta",
                        "Email": "[email protected]"
                    }
                \],
                "Substitutions": {
                    "order": {
                        "products": \[
                            {
                                "name": "product 1",
                                "link": "https://google.com",
                                "price": {
                                    "grossValue": 12,
                                    "netValue": 10
                                },
                                "details": \["tech", "deals"\],
                                "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                            },
                            {
                                "name": "product 2",
                                "link": "https://moosend.com",
                                "price": {
                                    "grossValue": 6,
                                    "netValue": 5
                                },
                                "details": \["tech", "deals"\],
                                "img": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRkMUT64OeYHqrGNF0ss-8tVMaaRBVRqWfL6w&s"
                            }
                        \]
                    }
                },
                "CustomArguments": {
                    "TestKey": "TestValue2"
                }
            }
        \]
     }' \\
'https://{hostname}/v3/campaigns/transactional/send.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
{
  "TotalAccepted": 1,
  "TotalExcluded": 1,
  "ExcludedRecipients": \[
    {
      "Email": "[email protected]",
      "Reason": "The recipient was found with status bounced"
    }
  \]
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use